def make_network(cfg):
   cfg.nlayer = 6   

   nl_in = cfg.nonlin_in
   if nl_in==0:
     nl=10
   else:
     nl = nl_in
   nl_out = 5

   cfg.lyrs[0].type = 'nl'
   cfg.lyrs[0].nnl = 2
   cfg.lyrs[0].nonlin = (nl_in,0)

   cfg.lyrs[1].type = 'fc' 
   cfg.lyrs[1].nchan_out = 64
   cfg.lyrs[1].nonlin = (0,0)

   cfg.lyrs[2].type = 'nl'
   cfg.lyrs[2].nnl = 3
   cfg.lyrs[2].nonlin = (0,nl)

   cfg.lyrs[3].type = 'fc'
   cfg.lyrs[3].nchan_out = 32
   cfg.lyrs[3].nonlin = (nl,0)

   cfg.lyrs[4].type = 'nl'
   cfg.lyrs[4].nnl = 3
   cfg.lyrs[4].nonlin = (0,nl)

   cfg.lyrs[5].type = 'fc'
   cfg.lyrs[5].nchan_out = 16
   cfg.lyrs[5].nonlin = (nl,0)

#   cfg.lyrs[6].type = 'nl'
#   cfg.lyrs[6].nnl = 3
#   cfg.lyrs[6].nonlin = (0,nl)

#   cfg.lyrs[7].type = 'fc'
#   cfg.lyrs[7].nchan_out = 3
#   cfg.lyrs[7].nonlin = (nl,5)


